curl --request POST \
--url https://api.veryfront.com/conversations/{conversation_id}/agent-runs/{run_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"type": "RUN_STARTED"
}
]
}
'{
"run": {
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"status": "completed",
"runtime_target_kind": "production",
"latest_event_id": 1,
"created_at": "<string>",
"source_target_kind": "project",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_run_id": "<string>",
"spawned_from_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spawned_from_tool_call_id": "<string>",
"input_anchor_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handoff_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waiting_tool_call_id": "<string>",
"waiting_tool_name": "<string>",
"terminal_error_code": "<string>",
"terminal_error_message": "<string>",
"started_at": "<string>",
"finished_at": "<string>"
},
"latest_event_id": 1,
"appended_count": 1
}curl --request POST \
--url https://api.veryfront.com/conversations/{conversation_id}/agent-runs/{run_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"type": "RUN_STARTED"
}
]
}
'{
"run": {
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"status": "completed",
"runtime_target_kind": "production",
"latest_event_id": 1,
"created_at": "<string>",
"source_target_kind": "project",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_run_id": "<string>",
"spawned_from_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spawned_from_tool_call_id": "<string>",
"input_anchor_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handoff_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waiting_tool_call_id": "<string>",
"waiting_tool_name": "<string>",
"terminal_error_code": "<string>",
"terminal_error_message": "<string>",
"started_at": "<string>",
"finished_at": "<string>"
},
"latest_event_id": 1,
"appended_count": 1
}Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf_
1 - 100 elementsShow child attributes